[
  {
    'class_description' => 'Contains the list of files to be installed by L<dh_install>',
    'element' => [
      'list',
      {
        'cargo' => {
          'type' => 'leaf',
          'value_type' => 'uniline'
        },
        'description' => 'a file or files to install. The end of the line tells the directory it
should be installed in. The name of the files (or directories) to
install should be given relative to the current directory, while the
installation directory is given relative to the package build
directory. You may use wildcards in the names of the files to install
(in v3 mode and above).

Note that if you list exactly one filename or wildcard-pattern, with
no explicit destination, then dh_install will automatically guess the
destination to use, the same as if the --autodest option were used.

See L<dh_install> for more details.
',
        'duplicates' => 'warn',
        'type' => 'list'
      }
    ],
    'name' => 'Dpkg::Install',
    'read_config' => [
      {
        'auto_create' => '1',
        'auto_delete' => '1',
        'backend' => 'PlainFile',
        'config_dir' => 'debian',
        'file' => '&index(-).install'
      }
    ]
  }
]
;

